Subject: Re: [RFC/PATCH 0/7] Rework git core for native submodules

From: Jonathan Nieder <[email-masked]>
Date: Thu, 4 Apr 2013 11:55:22 -0700

Ramkumar Ramachandra wrote:

> 1. 'git add' should not go past submodule boundaries.  I should not be
>    able to 'git add clayoven/' or 'git add clayoven/LICENSE'.  In
>    addition, the shell completion also needs to be fixed.

Yep.  This is a bug.

> 2. An empty directory containing a .git file is a perfectly valid
>    worktree, but does not show up in the superproject's 'git status'
>    output.  How can it be treated like an empty directory?

Stated like that, it doesn't sound like a bug.  Git since very early
has deliberately not tracked files or directories named .git.

Do you need this as a way of importing from a foreign VCS when someone
has accidentally checked in a .git directory along with everything
else?

Thanks,
Jonathan